<section>
    <form>
        <input type="text" placeholder="Filtrar por ciudad" #filter/>
        <button class="primary" type="button" (click)="filterResults(filter.value)">Buscar</button>
    </form>
</section>
<section class="results">
    <app-housing-location
        *ngFor="let housingLocation of filteredLocationList"
        [housingLocation]="housingLocation"
    ></app-housing-location>
</section>